Embed PDF

Bug #1036556 reported by Kristina Hoeppner on 2012-08-14
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Son Nguyen
1.10
Wishlist
Son Nguyen
1.8
Medium
Son Nguyen

Bug Description

It would be great if uploaded PDFs could be embedded and thus shown directly on a page (similar to what can be done with Google Docs or external services).

Dominique-Alain JAN (dajan) wrote :

I think this most depends on the web browser the user uses. In some (Firefox, Safari) ones can add plugin to do that but not all web browser provide out-of-the-box pdf display features.

I am wrong?

You can either display a PDF in the browser or the external program opens. That's already possible now. However, I think what the user wanted to display the PDF within a page like any other embedded object. Scribd.com can do that for example.

Son Nguyen (ngson2000) wrote :

I will implement PDF.js library into Mahara. This allows browsers (with javascript enabled) can render and show PDF without the PDF addon or extension.

Changed in mahara:
assignee: nobody → Son Nguyen (ngson2000)
status: Triaged → In Progress
Changed in mahara:
milestone: none → 1.8.0rc1
tags: added: nominatedfeature
Robert Lyon (robertl-9) on 2013-07-29
Changed in mahara:
status: In Progress → Fix Committed
Aaron Wells (u-aaronw) on 2013-08-21
tags: added: pdf
Aaron Wells (u-aaronw) on 2013-09-05
Changed in mahara:
status: Fix Committed → Confirmed
status: Confirmed → Fix Committed
Aaron Wells (u-aaronw) on 2013-09-30
Changed in mahara:
milestone: 1.8rc1 → 1.8.0
Aaron Wells (u-aaronw) on 2013-10-24
Changed in mahara:
status: Fix Committed → Fix Released

Reviewed: https://reviews.mahara.org/3320
Committed: http://gitorious.org/mahara/mahara/commit/4ec6eb21e68fffbeb185089cf15a50bf13bb3642
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 4ec6eb21e68fffbeb185089cf15a50bf13bb3642
Author: Son Nguyen <email address hidden>
Date: Thu May 2 08:46:50 2013 +1200

Configure the pdfjs javascript lib (Bug #1036556)

Disable Open file feature

Change-Id: I36768339a8f6db695a21c0aa9c67f58596fa50e1
Signed-off-by: Son Nguyen <email address hidden>
Signed-off-by: Aaron Wells <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/3909

Reviewed: https://reviews.mahara.org/3908
Committed: http://gitorious.org/mahara/mahara/commit/8be3d3019c6938c361b5431f3ef69d6d582433c5
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 8be3d3019c6938c361b5431f3ef69d6d582433c5
Author: Son Nguyen <email address hidden>
Date: Thu May 2 08:46:50 2013 +1200

Configure the pdfjs javascript lib (Bug #1036556)

Disable Open file feature

Change-Id: Ib51eaaa14e11c3257efce25c8763974d08458dcc
Signed-off-by: Son Nguyen <email address hidden>
Signed-off-by: Aaron Wells <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3909
Committed: http://gitorious.org/mahara/mahara/commit/dec1f445fd743c4d5a57ba307a0ecba104bac5e3
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit dec1f445fd743c4d5a57ba307a0ecba104bac5e3
Author: Robert Lyon <email address hidden>
Date: Wed Nov 5 11:53:58 2014 +1300

Adjusting the pdf template (Bug #1036556)

Change-Id: I387e4757457791bc6de96e538fb4770160b05781
Signed-off-by: Robert Lyon <email address hidden>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers